
Sprint-4 - Task #1778

Testing the system in Arabic language

09/10/2019 04:30 PM - Yazan Awad

Status: Closed Start date: 09/10/2019

Priority: High Due date:  

Assignee: Yazan Awad % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Environment: QA

Severity: Normal Transaction Number:  

Category: Extranet Username:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  Actual Finish Date:  

Actual Result:  SERVICE_ID: 13

Description

Note: not all the listed points necessary bug, it may be the right behavior but i listed all the suspicious cases to be cleared out

1- the words in Arabic have spaces between the letters as shown in screenshot 1

2- the file names stayed in English as shown in screenshot 1

3- the File Types are in english as shown is screen shot 2

4- The Editor page content is in English as shown is screenshot 3

5- When Uploading an Image in the news; the Language label is written in English as shown in screenshot 4

6- The ID must be written in English or an Error message appears as shown in screenshot 5

7- when creating Content item in the Arabic version; the name of the displayed content item on the home page does not match the

name filled in the name field as shown in screenshot 6.1 and 6.2

8- The page Pattern is inconsistent (Some of them are in english and some of them are in Arabic) as shown in the screenshot 7

9-When creating a page using the arabic version, an error message appears when changing the name of the page to Arabic

(Because it changes the url path to the same word) shown in screenshot 8

10- When clicking on the "Page Settings" that is located inside the page form, the content is in English as shown in screenshot 9

11- Drafts Page is in English as shown in screenshot 10.

Please advice Zaid.

History

#1 - 09/12/2019 06:11 PM - Yazan Awad

- Tracker changed from Bug to Task

#2 - 09/15/2019 09:02 AM - Yazan Awad

- Project changed from Sprint-1 to MOSA Backlog

#3 - 09/15/2019 09:04 AM - Yazan Awad
- Project changed from MOSA Backlog to Sprint-2

#4 - 09/15/2019 02:32 PM - Yazan Awad

- Project changed from Sprint-2 to MOSA Backlog

#5 - 10/10/2019 01:14 PM - Yazan Awad

- Priority changed from Normal to High

#6 - 10/10/2019 01:33 PM - Yazan Awad

- Related to Task #1836: Content Wizard in Arabic added

#7 - 10/10/2019 01:37 PM - Yazan Awad

- Related to deleted (Task #1836: Content Wizard in Arabic)

#8 - 10/13/2019 02:48 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-4

- SERVICE_ID set to 13

#9 - 10/21/2019 11:28 AM - Yazan Awad

- File Fixed 1.PNG added

- File Fixed 2.PNG added

- % Done changed from 0 to 70

- Environment QA added

- Environment deleted (Development)

Issue number 1 --> Not Fixed

Issue Number 2 --> the folder names only presented in English --> Limitation

Issue Number 3 --> File Types reflects the folder names, so it cant be translated

Issue Number 4 --> Related to the Content Wizard in Arabic task

Issue Number 5 --> Fixed (screen shot "Fixed 1")

Issue Number 6 --> The database does not take arabic letters and the validation on the field summarize that (Ignored issue)

Issue Number 7 --> Known Limitation from the Portal by Oracle (Ignored)

Issue Number 8 --> Not Fixed

Issue Number 9 --> The URL cannot be mixed between two languages (Ignored)

Issue Number 10 --> Not Fixed

Issue Number 11 --> Fixed (Screen shot "Fixed 2)

Please Check the Bold Comments and fix or give justification, thank you.

#10 - 10/21/2019 05:33 PM - Yazan Awad

- File Fixed 3.PNG added

- File Fixed 4.PNG added

- File Fixed 5.PNG added

- Status changed from Open to Closed

- Assignee changed from Zaid Shakboua to Yazan Awad

- % Done changed from 70 to 100
All of the remaining issues have been handled as attached in the screenshots (Fixed 3, Fixed 4, Fixed 5)

This task can be closed as completed.

Thank you.

Files

2.PNG 8.21 KB 09/10/2019 Yazan Awad

1.PNG 193 KB 09/10/2019 Yazan Awad

3.PNG 26.6 KB 09/10/2019 Yazan Awad

4.PNG 62.5 KB 09/10/2019 Yazan Awad

5.PNG 26.2 KB 09/10/2019 Yazan Awad

6.1.PNG 34.2 KB 09/10/2019 Yazan Awad

6.2.PNG 72 KB 09/10/2019 Yazan Awad

7.PNG 9.24 KB 09/10/2019 Yazan Awad

8.PNG 12 KB 09/10/2019 Yazan Awad

9.PNG 14.3 KB 09/10/2019 Yazan Awad

Fixed 1.PNG 19.5 KB 10/21/2019 Yazan Awad

Fixed 2.PNG 6.87 KB 10/21/2019 Yazan Awad

Fixed 3.PNG 27 KB 10/21/2019 Yazan Awad

Fixed 4.PNG 9.78 KB 10/21/2019 Yazan Awad

Fixed 5.PNG 10.1 KB 10/21/2019 Yazan Awad
